package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TStationExample {
    /**
     * t_station
     */
    protected String orderByClause;

    /**
     * t_station
     */
    protected boolean distinct;

    /**
     * t_station
     */
    protected List<Criteria> oredCriteria;

    public TStationExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_station 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andSitenameIsNull() {
            addCriterion("sitename is null");
            return (Criteria) this;
        }

        public Criteria andSitenameIsNotNull() {
            addCriterion("sitename is not null");
            return (Criteria) this;
        }

        public Criteria andSitenameEqualTo(String value) {
            addCriterion("sitename =", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameNotEqualTo(String value) {
            addCriterion("sitename <>", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameGreaterThan(String value) {
            addCriterion("sitename >", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameGreaterThanOrEqualTo(String value) {
            addCriterion("sitename >=", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameLessThan(String value) {
            addCriterion("sitename <", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameLessThanOrEqualTo(String value) {
            addCriterion("sitename <=", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameLike(String value) {
            addCriterion("sitename like", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameNotLike(String value) {
            addCriterion("sitename not like", value, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameIn(List<String> values) {
            addCriterion("sitename in", values, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameNotIn(List<String> values) {
            addCriterion("sitename not in", values, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameBetween(String value1, String value2) {
            addCriterion("sitename between", value1, value2, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitenameNotBetween(String value1, String value2) {
            addCriterion("sitename not between", value1, value2, "sitename");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNull() {
            addCriterion("sitecode is null");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNotNull() {
            addCriterion("sitecode is not null");
            return (Criteria) this;
        }

        public Criteria andSitecodeEqualTo(String value) {
            addCriterion("sitecode =", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotEqualTo(String value) {
            addCriterion("sitecode <>", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThan(String value) {
            addCriterion("sitecode >", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThanOrEqualTo(String value) {
            addCriterion("sitecode >=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThan(String value) {
            addCriterion("sitecode <", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThanOrEqualTo(String value) {
            addCriterion("sitecode <=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLike(String value) {
            addCriterion("sitecode like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotLike(String value) {
            addCriterion("sitecode not like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeIn(List<String> values) {
            addCriterion("sitecode in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotIn(List<String> values) {
            addCriterion("sitecode not in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeBetween(String value1, String value2) {
            addCriterion("sitecode between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotBetween(String value1, String value2) {
            addCriterion("sitecode not between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andAddressIsNull() {
            addCriterion("address is null");
            return (Criteria) this;
        }

        public Criteria andAddressIsNotNull() {
            addCriterion("address is not null");
            return (Criteria) this;
        }

        public Criteria andAddressEqualTo(String value) {
            addCriterion("address =", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotEqualTo(String value) {
            addCriterion("address <>", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThan(String value) {
            addCriterion("address >", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressGreaterThanOrEqualTo(String value) {
            addCriterion("address >=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThan(String value) {
            addCriterion("address <", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLessThanOrEqualTo(String value) {
            addCriterion("address <=", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressLike(String value) {
            addCriterion("address like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotLike(String value) {
            addCriterion("address not like", value, "address");
            return (Criteria) this;
        }

        public Criteria andAddressIn(List<String> values) {
            addCriterion("address in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotIn(List<String> values) {
            addCriterion("address not in", values, "address");
            return (Criteria) this;
        }

        public Criteria andAddressBetween(String value1, String value2) {
            addCriterion("address between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andAddressNotBetween(String value1, String value2) {
            addCriterion("address not between", value1, value2, "address");
            return (Criteria) this;
        }

        public Criteria andBrandIsNull() {
            addCriterion("brand is null");
            return (Criteria) this;
        }

        public Criteria andBrandIsNotNull() {
            addCriterion("brand is not null");
            return (Criteria) this;
        }

        public Criteria andBrandEqualTo(String value) {
            addCriterion("brand =", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandNotEqualTo(String value) {
            addCriterion("brand <>", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandGreaterThan(String value) {
            addCriterion("brand >", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandGreaterThanOrEqualTo(String value) {
            addCriterion("brand >=", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandLessThan(String value) {
            addCriterion("brand <", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandLessThanOrEqualTo(String value) {
            addCriterion("brand <=", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandLike(String value) {
            addCriterion("brand like", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandNotLike(String value) {
            addCriterion("brand not like", value, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandIn(List<String> values) {
            addCriterion("brand in", values, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandNotIn(List<String> values) {
            addCriterion("brand not in", values, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandBetween(String value1, String value2) {
            addCriterion("brand between", value1, value2, "brand");
            return (Criteria) this;
        }

        public Criteria andBrandNotBetween(String value1, String value2) {
            addCriterion("brand not between", value1, value2, "brand");
            return (Criteria) this;
        }

        public Criteria andModelIsNull() {
            addCriterion("model is null");
            return (Criteria) this;
        }

        public Criteria andModelIsNotNull() {
            addCriterion("model is not null");
            return (Criteria) this;
        }

        public Criteria andModelEqualTo(String value) {
            addCriterion("model =", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelNotEqualTo(String value) {
            addCriterion("model <>", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelGreaterThan(String value) {
            addCriterion("model >", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelGreaterThanOrEqualTo(String value) {
            addCriterion("model >=", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelLessThan(String value) {
            addCriterion("model <", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelLessThanOrEqualTo(String value) {
            addCriterion("model <=", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelLike(String value) {
            addCriterion("model like", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelNotLike(String value) {
            addCriterion("model not like", value, "model");
            return (Criteria) this;
        }

        public Criteria andModelIn(List<String> values) {
            addCriterion("model in", values, "model");
            return (Criteria) this;
        }

        public Criteria andModelNotIn(List<String> values) {
            addCriterion("model not in", values, "model");
            return (Criteria) this;
        }

        public Criteria andModelBetween(String value1, String value2) {
            addCriterion("model between", value1, value2, "model");
            return (Criteria) this;
        }

        public Criteria andModelNotBetween(String value1, String value2) {
            addCriterion("model not between", value1, value2, "model");
            return (Criteria) this;
        }

        public Criteria andSignaltypeIsNull() {
            addCriterion("signaltype is null");
            return (Criteria) this;
        }

        public Criteria andSignaltypeIsNotNull() {
            addCriterion("signaltype is not null");
            return (Criteria) this;
        }

        public Criteria andSignaltypeEqualTo(String value) {
            addCriterion("signaltype =", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeNotEqualTo(String value) {
            addCriterion("signaltype <>", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeGreaterThan(String value) {
            addCriterion("signaltype >", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeGreaterThanOrEqualTo(String value) {
            addCriterion("signaltype >=", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeLessThan(String value) {
            addCriterion("signaltype <", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeLessThanOrEqualTo(String value) {
            addCriterion("signaltype <=", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeLike(String value) {
            addCriterion("signaltype like", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeNotLike(String value) {
            addCriterion("signaltype not like", value, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeIn(List<String> values) {
            addCriterion("signaltype in", values, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeNotIn(List<String> values) {
            addCriterion("signaltype not in", values, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeBetween(String value1, String value2) {
            addCriterion("signaltype between", value1, value2, "signaltype");
            return (Criteria) this;
        }

        public Criteria andSignaltypeNotBetween(String value1, String value2) {
            addCriterion("signaltype not between", value1, value2, "signaltype");
            return (Criteria) this;
        }

        public Criteria andServiceipIsNull() {
            addCriterion("serviceip is null");
            return (Criteria) this;
        }

        public Criteria andServiceipIsNotNull() {
            addCriterion("serviceip is not null");
            return (Criteria) this;
        }

        public Criteria andServiceipEqualTo(String value) {
            addCriterion("serviceip =", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipNotEqualTo(String value) {
            addCriterion("serviceip <>", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipGreaterThan(String value) {
            addCriterion("serviceip >", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipGreaterThanOrEqualTo(String value) {
            addCriterion("serviceip >=", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipLessThan(String value) {
            addCriterion("serviceip <", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipLessThanOrEqualTo(String value) {
            addCriterion("serviceip <=", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipLike(String value) {
            addCriterion("serviceip like", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipNotLike(String value) {
            addCriterion("serviceip not like", value, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipIn(List<String> values) {
            addCriterion("serviceip in", values, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipNotIn(List<String> values) {
            addCriterion("serviceip not in", values, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipBetween(String value1, String value2) {
            addCriterion("serviceip between", value1, value2, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceipNotBetween(String value1, String value2) {
            addCriterion("serviceip not between", value1, value2, "serviceip");
            return (Criteria) this;
        }

        public Criteria andServiceportIsNull() {
            addCriterion("serviceport is null");
            return (Criteria) this;
        }

        public Criteria andServiceportIsNotNull() {
            addCriterion("serviceport is not null");
            return (Criteria) this;
        }

        public Criteria andServiceportEqualTo(Integer value) {
            addCriterion("serviceport =", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportNotEqualTo(Integer value) {
            addCriterion("serviceport <>", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportGreaterThan(Integer value) {
            addCriterion("serviceport >", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportGreaterThanOrEqualTo(Integer value) {
            addCriterion("serviceport >=", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportLessThan(Integer value) {
            addCriterion("serviceport <", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportLessThanOrEqualTo(Integer value) {
            addCriterion("serviceport <=", value, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportIn(List<Integer> values) {
            addCriterion("serviceport in", values, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportNotIn(List<Integer> values) {
            addCriterion("serviceport not in", values, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportBetween(Integer value1, Integer value2) {
            addCriterion("serviceport between", value1, value2, "serviceport");
            return (Criteria) this;
        }

        public Criteria andServiceportNotBetween(Integer value1, Integer value2) {
            addCriterion("serviceport not between", value1, value2, "serviceport");
            return (Criteria) this;
        }

        public Criteria andStringsloganIsNull() {
            addCriterion("stringslogan is null");
            return (Criteria) this;
        }

        public Criteria andStringsloganIsNotNull() {
            addCriterion("stringslogan is not null");
            return (Criteria) this;
        }

        public Criteria andStringsloganEqualTo(Integer value) {
            addCriterion("stringslogan =", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganNotEqualTo(Integer value) {
            addCriterion("stringslogan <>", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganGreaterThan(Integer value) {
            addCriterion("stringslogan >", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganGreaterThanOrEqualTo(Integer value) {
            addCriterion("stringslogan >=", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganLessThan(Integer value) {
            addCriterion("stringslogan <", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganLessThanOrEqualTo(Integer value) {
            addCriterion("stringslogan <=", value, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganIn(List<Integer> values) {
            addCriterion("stringslogan in", values, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganNotIn(List<Integer> values) {
            addCriterion("stringslogan not in", values, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganBetween(Integer value1, Integer value2) {
            addCriterion("stringslogan between", value1, value2, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andStringsloganNotBetween(Integer value1, Integer value2) {
            addCriterion("stringslogan not between", value1, value2, "stringslogan");
            return (Criteria) this;
        }

        public Criteria andPorterrateIsNull() {
            addCriterion("porterrate is null");
            return (Criteria) this;
        }

        public Criteria andPorterrateIsNotNull() {
            addCriterion("porterrate is not null");
            return (Criteria) this;
        }

        public Criteria andPorterrateEqualTo(String value) {
            addCriterion("porterrate =", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateNotEqualTo(String value) {
            addCriterion("porterrate <>", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateGreaterThan(String value) {
            addCriterion("porterrate >", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateGreaterThanOrEqualTo(String value) {
            addCriterion("porterrate >=", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateLessThan(String value) {
            addCriterion("porterrate <", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateLessThanOrEqualTo(String value) {
            addCriterion("porterrate <=", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateLike(String value) {
            addCriterion("porterrate like", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateNotLike(String value) {
            addCriterion("porterrate not like", value, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateIn(List<String> values) {
            addCriterion("porterrate in", values, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateNotIn(List<String> values) {
            addCriterion("porterrate not in", values, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateBetween(String value1, String value2) {
            addCriterion("porterrate between", value1, value2, "porterrate");
            return (Criteria) this;
        }

        public Criteria andPorterrateNotBetween(String value1, String value2) {
            addCriterion("porterrate not between", value1, value2, "porterrate");
            return (Criteria) this;
        }

        public Criteria andDatabitIsNull() {
            addCriterion("databit is null");
            return (Criteria) this;
        }

        public Criteria andDatabitIsNotNull() {
            addCriterion("databit is not null");
            return (Criteria) this;
        }

        public Criteria andDatabitEqualTo(String value) {
            addCriterion("databit =", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitNotEqualTo(String value) {
            addCriterion("databit <>", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitGreaterThan(String value) {
            addCriterion("databit >", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitGreaterThanOrEqualTo(String value) {
            addCriterion("databit >=", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitLessThan(String value) {
            addCriterion("databit <", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitLessThanOrEqualTo(String value) {
            addCriterion("databit <=", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitLike(String value) {
            addCriterion("databit like", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitNotLike(String value) {
            addCriterion("databit not like", value, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitIn(List<String> values) {
            addCriterion("databit in", values, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitNotIn(List<String> values) {
            addCriterion("databit not in", values, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitBetween(String value1, String value2) {
            addCriterion("databit between", value1, value2, "databit");
            return (Criteria) this;
        }

        public Criteria andDatabitNotBetween(String value1, String value2) {
            addCriterion("databit not between", value1, value2, "databit");
            return (Criteria) this;
        }

        public Criteria andCheckbitIsNull() {
            addCriterion("checkbit is null");
            return (Criteria) this;
        }

        public Criteria andCheckbitIsNotNull() {
            addCriterion("checkbit is not null");
            return (Criteria) this;
        }

        public Criteria andCheckbitEqualTo(String value) {
            addCriterion("checkbit =", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitNotEqualTo(String value) {
            addCriterion("checkbit <>", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitGreaterThan(String value) {
            addCriterion("checkbit >", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitGreaterThanOrEqualTo(String value) {
            addCriterion("checkbit >=", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitLessThan(String value) {
            addCriterion("checkbit <", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitLessThanOrEqualTo(String value) {
            addCriterion("checkbit <=", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitLike(String value) {
            addCriterion("checkbit like", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitNotLike(String value) {
            addCriterion("checkbit not like", value, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitIn(List<String> values) {
            addCriterion("checkbit in", values, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitNotIn(List<String> values) {
            addCriterion("checkbit not in", values, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitBetween(String value1, String value2) {
            addCriterion("checkbit between", value1, value2, "checkbit");
            return (Criteria) this;
        }

        public Criteria andCheckbitNotBetween(String value1, String value2) {
            addCriterion("checkbit not between", value1, value2, "checkbit");
            return (Criteria) this;
        }

        public Criteria andIslocalIsNull() {
            addCriterion("islocal is null");
            return (Criteria) this;
        }

        public Criteria andIslocalIsNotNull() {
            addCriterion("islocal is not null");
            return (Criteria) this;
        }

        public Criteria andIslocalEqualTo(Integer value) {
            addCriterion("islocal =", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalNotEqualTo(Integer value) {
            addCriterion("islocal <>", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalGreaterThan(Integer value) {
            addCriterion("islocal >", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalGreaterThanOrEqualTo(Integer value) {
            addCriterion("islocal >=", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalLessThan(Integer value) {
            addCriterion("islocal <", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalLessThanOrEqualTo(Integer value) {
            addCriterion("islocal <=", value, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalIn(List<Integer> values) {
            addCriterion("islocal in", values, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalNotIn(List<Integer> values) {
            addCriterion("islocal not in", values, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalBetween(Integer value1, Integer value2) {
            addCriterion("islocal between", value1, value2, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslocalNotBetween(Integer value1, Integer value2) {
            addCriterion("islocal not between", value1, value2, "islocal");
            return (Criteria) this;
        }

        public Criteria andIslineIsNull() {
            addCriterion("isline is null");
            return (Criteria) this;
        }

        public Criteria andIslineIsNotNull() {
            addCriterion("isline is not null");
            return (Criteria) this;
        }

        public Criteria andIslineEqualTo(Integer value) {
            addCriterion("isline =", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineNotEqualTo(Integer value) {
            addCriterion("isline <>", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineGreaterThan(Integer value) {
            addCriterion("isline >", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineGreaterThanOrEqualTo(Integer value) {
            addCriterion("isline >=", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineLessThan(Integer value) {
            addCriterion("isline <", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineLessThanOrEqualTo(Integer value) {
            addCriterion("isline <=", value, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineIn(List<Integer> values) {
            addCriterion("isline in", values, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineNotIn(List<Integer> values) {
            addCriterion("isline not in", values, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineBetween(Integer value1, Integer value2) {
            addCriterion("isline between", value1, value2, "isline");
            return (Criteria) this;
        }

        public Criteria andIslineNotBetween(Integer value1, Integer value2) {
            addCriterion("isline not between", value1, value2, "isline");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNull() {
            addCriterion("v_cf_code is null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIsNotNull() {
            addCriterion("v_cf_code is not null");
            return (Criteria) this;
        }

        public Criteria andVCfCodeEqualTo(String value) {
            addCriterion("v_cf_code =", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotEqualTo(String value) {
            addCriterion("v_cf_code <>", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThan(String value) {
            addCriterion("v_cf_code >", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_cf_code >=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThan(String value) {
            addCriterion("v_cf_code <", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLessThanOrEqualTo(String value) {
            addCriterion("v_cf_code <=", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeLike(String value) {
            addCriterion("v_cf_code like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotLike(String value) {
            addCriterion("v_cf_code not like", value, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeIn(List<String> values) {
            addCriterion("v_cf_code in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotIn(List<String> values) {
            addCriterion("v_cf_code not in", values, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeBetween(String value1, String value2) {
            addCriterion("v_cf_code between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVCfCodeNotBetween(String value1, String value2) {
            addCriterion("v_cf_code not between", value1, value2, "vCfCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeIsNull() {
            addCriterion("v_zd_type is null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeIsNotNull() {
            addCriterion("v_zd_type is not null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeEqualTo(String value) {
            addCriterion("v_zd_type =", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNotEqualTo(String value) {
            addCriterion("v_zd_type <>", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeGreaterThan(String value) {
            addCriterion("v_zd_type >", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeGreaterThanOrEqualTo(String value) {
            addCriterion("v_zd_type >=", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeLessThan(String value) {
            addCriterion("v_zd_type <", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeLessThanOrEqualTo(String value) {
            addCriterion("v_zd_type <=", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeLike(String value) {
            addCriterion("v_zd_type like", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNotLike(String value) {
            addCriterion("v_zd_type not like", value, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeIn(List<String> values) {
            addCriterion("v_zd_type in", values, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNotIn(List<String> values) {
            addCriterion("v_zd_type not in", values, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeBetween(String value1, String value2) {
            addCriterion("v_zd_type between", value1, value2, "vZdType");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNotBetween(String value1, String value2) {
            addCriterion("v_zd_type not between", value1, value2, "vZdType");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_station
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_station 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}